<div style="height: 100%">
  <app-ingredient-list *ngIf="recipe" [measures]="recipe.measures">
    <div *ngIf="recipe" fxLayout="column" fxLayoutAlign="space-between start" fxLayoutGap="10px"
         style="padding: 30px">
      <h1>{{recipe.title}}</h1>
      <img *ngIf="recipePicture" [src]="recipePicture" alt="image" style="max-width: 300px;"/>

      <div fxLayout="row" fxLayoutGap="15px">
        <mat-form-field appearance="standard">
          <mat-label>Personnes</mat-label>
          <input [formControl]="yieldQuantity" matInput min="1" type="number">
        </mat-form-field>
      </div>
      <a *ngIf="recipe && recipe.link" [href]="recipe.link" color="basic" mat-stroked-button>Recette source</a>
      <a *ngIf="recipe" [routerLink]="['/recipe/update/', recipe.id]" mat-stroked-button>MAJ recette</a>
      <span style="white-space: pre-line;">{{recipe.content}}</span>
    </div>
  </app-ingredient-list>
</div>
